import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

import java.awt.Color;
import java.awt.Graphics;
import java.awt.image.BufferedImage;

/**
 * Counter that displays a number.
 * 
 * @author Michael Kolling
 * @version 1.0.1
 */
public class Score extends Actor
{
    private int value = 0;
    private String text;
    private int stringLength;

    public Score()
    {
        text = "";
        stringLength = (text.length() + 2) * 10;
        updateImage();
    }

    public Score(String prefix)
    {
        text = prefix;
        stringLength = (text.length() + 2) * 10;

        setImage(new GreenfootImage(stringLength, 16));
        updateImage();
    }
    
    public int getValue()
    {
    return value;
    
    }
    
    public void setValue(int value)
    {
        this.value = value;
    }
    
    public void subtractValue(int amount)
    {
        value = value - amount;
        updateImage();
    }


    public void addValue(int amount)
    {
        value = value + amount;
        updateImage();
    }

    /**
     * Make the image
     */
    private void updateImage()
    {
        GreenfootImage image = getImage();
        image.clear();
        image.setColor(Color.WHITE);
        image.drawString(text + value, 1, 12);
    }
}